curl --request PUT \
--url https://api.hubapi.com/crm/v3/lists/{listId}/memberships/add-and-remove \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recordIdsToAdd": [
"123",
"456",
"789"
],
"recordIdsToRemove": [
"654"
]
}
'{
"recordIdsAdded": [
"123",
"456"
],
"recordIdsMissing": [
"789"
],
"recordIdsRemoved": [
"654"
]
}Agregar a y/o eliminar de una lista registros que ya han sido creados en el sistema.
Este punto de terminación solo funciona para listas que tienen un “processingType” de “MANUAL” o “INSTANTÁNEA”.
curl --request PUT \
--url https://api.hubapi.com/crm/v3/lists/{listId}/memberships/add-and-remove \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recordIdsToAdd": [
"123",
"456",
"789"
],
"recordIdsToRemove": [
"654"
]
}
'{
"recordIdsAdded": [
"123",
"456"
],
"recordIdsMissing": [
"789"
],
"recordIdsRemoved": [
"654"
]
}Productos compatibles
Ámbitos Requeridos
cms.membership.access_groups.writecrm.lists.readcrm.lists.writeThe access token received from the authorization server in the OAuth 2.0 flow.
El ID de ILS de la lista "MANUAL" o "INSTANTÁNEA".
The IDs of the records to add and/or remove from the list.
Successful response
The IDs of the records that were added, removed, and/or found to be missing as a result of the
membership update request.
Los ID de los registros identificados como "faltante" (por ejemplo, no existían en el portal) y, por lo tanto, no fueron "agregados" o "eliminados".
Los ID de los registros que fueron "eliminados" de la lista.